<div>
  <div class="d-flex justify-content-center">
    <div class="col-md-8">
      <h1 jhiTranslate="reset.request.title">Passwort zurücksetzen</h1>

      <jhi-alert-error></jhi-alert-error>

      @if (!success()) {
        <div class="alert alert-warning">
          <span jhiTranslate="reset.request.messages.info"
            >Geben Sie die Email Adresse ein, welche Sie bei der Registrierung verwendet haben.</span
          >
        </div>
        <form name="form" (ngSubmit)="requestReset()" [formGroup]="resetRequestForm">
          <div class="mb-3">
            <label class="form-label" for="email" jhiTranslate="global.form.email.label">Email Adresse</label>
            <input
              type="email"
              class="form-control"
              id="email"
              name="email"
              placeholder="{{ 'global.form.email.placeholder' | translate }}"
              formControlName="email"
              data-cy="emailResetPassword"
              #email
            />

            @if (
              resetRequestForm.get('email')!.invalid && (resetRequestForm.get('email')!.dirty || resetRequestForm.get('email')!.touched)
            ) {
              <div>
                @if (resetRequestForm.get('email')?.errors?.required) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.required"
                    >Ihre Email Adresse wird benötigt.</small
                  >
                }
                @if (resetRequestForm.get('email')?.errors?.email) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.invalid"
                    >Ihre Email Adresse ist ungültig.</small
                  >
                }

                @if (resetRequestForm.get('email')?.errors?.minlength) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.minlength"
                    >Ihre Email Adresse muss mindestens 5 Zeichen lang sein</small
                  >
                }

                @if (resetRequestForm.get('email')?.errors?.maxlength) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.maxlength"
                    >Ihre Email Adresse darf nicht länger als 50 Zeichen sein</small
                  >
                }
              </div>
            }
          </div>

          <button
            type="submit"
            [disabled]="resetRequestForm.invalid"
            class="btn btn-primary"
            data-cy="submit"
            jhiTranslate="reset.request.form.button"
          >
            Passwort zurücksetzen
          </button>
        </form>
      } @else {
        <div class="alert alert-success">
          <span jhiTranslate="reset.request.messages.success"
            >Eine Email mit weiteren Instruktionen für das Zurücksetzen des Passworts wurde gesendet.</span
          >
        </div>
      }
    </div>
  </div>
</div>
